> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cache product price availability and booking details.

> Fetches and caches fareprice availability for a specific product
price detail ID, along with booking details. Requires query parameters
for API provider, fare type, booking date, and time.



## OpenAPI

````yaml /openapi/freelance-internal-api.mintlify.json get /api/cache/product/{tdmsProductId}/price/{ppdid}/details
openapi: 3.0.3
info:
  title: Freelance Travel App API Documentation
  description: >-
    API for the Freelance Travel App - managing users, products, cart, quotes,
    bookings, and agent integrations.
  version: 1.0.0
servers:
  - url: https://confirmation.freelancetravel.com
security:
  - default: []
tags:
  - name: Admin
    description: ''
  - name: Agent Integration
    description: |-

      APIs for managing travel agent integrations and upgrades
  - name: App Metadata
    description: ''
  - name: Authentication
    description: |-

      APIs for user authentication and account management
  - name: Caching
    description: ''
  - name: Cart & Quotes
    description: |-

      APIs for managing shopping cart items, quotes, and bookings
  - name: Discounts
    description: ''
  - name: Endpoints
    description: ''
  - name: Favourites
    description: ''
  - name: Products
    description: |-

      APIs for managing products and home feed
  - name: Redeemers
    description: ''
  - name: Shared Payments
    description: ''
  - name: System
    description: ''
paths:
  /api/cache/product/{tdmsProductId}/price/{ppdid}/details:
    parameters:
      - in: path
        name: tdmsProductId
        description: ''
        example: architecto
        required: true
        schema:
          type: string
      - in: path
        name: ppdid
        description: ''
        example: architecto
        required: true
        schema:
          type: string
    get:
      tags:
        - Caching
      summary: Cache product price availability and booking details.
      description: |-
        Fetches and caches fareprice availability for a specific product
        price detail ID, along with booking details. Requires query parameters
        for API provider, fare type, booking date, and time.
      operationId: cacheProductPriceAvailabilityAndBookingDetails
      parameters:
        - in: query
          name: apiProviderId
          description: The API provider ID
          example: 16
          required: true
          schema:
            type: integer
            description: The API provider ID
            example: 16
        - in: query
          name: groupFaresForAvailabilityCheck
          description: Whether to group fares
          example: false
          required: true
          schema:
            type: boolean
            description: Whether to group fares
            example: false
        - in: query
          name: fareTypeId
          description: The fare type ID
          example: 16
          required: true
          schema:
            type: integer
            description: The fare type ID
            example: 16
        - in: query
          name: bookingDate
          description: date The booking date (Y-m-d format)
          example: architecto
          required: true
          schema:
            type: string
            description: date The booking date (Y-m-d format)
            example: architecto
        - in: query
          name: timeId
          description: The time slot ID
          example: architecto
          required: true
          schema:
            type: string
            description: The time slot ID
            example: architecto
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                apiProviderId:
                  type: integer
                  description: ''
                  example: 16
                groupFaresForAvailabilityCheck:
                  type: boolean
                  description: ''
                  example: false
                fareTypeId:
                  type: integer
                  description: ''
                  example: 16
                bookingDate:
                  type: string
                  description: Must be a valid date.
                  example: '2026-02-01T05:49:35'
                timeId:
                  type: string
                  description: ''
                  example: architecto
              required:
                - apiProviderId
                - groupFaresForAvailabilityCheck
                - fareTypeId
                - bookingDate
                - timeId
      responses:
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  success: false
                  title: Validation error
                  code: 400
                  data:
                    bookingDate:
                      - The booking date is not a valid date.
                properties:
                  success:
                    type: boolean
                    example: false
                  title:
                    type: string
                    example: Validation error
                  code:
                    type: integer
                    example: 400
                  data:
                    type: object
                    properties:
                      bookingDate:
                        type: array
                        example:
                          - The booking date is not a valid date.
                        items:
                          type: string
      security: []
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token</b>.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.